Categories
Update Category
Learn how to update a store category using the endpoint PUT /stores//categories/.
PUT
Update category
📌 Endpoint
PUT /stores/{storeId}/categories/{categoryId}
Updates the data of an existing category.
🔐 Authentication
- Private route.
- Send
Authorizationwith your API Key.
🧾 Route parameters
🧾 Body
Send only the fields you want to change.
✅ Example request
📦 Success response (200)
⚠️ Possible errors
400 INVALID_DATA→ empty/invalid payload or invalid parameters400 INVALID_DATA_NAME_MIN→nameshorter than 4 characters400 INVALID_DATA_NAME_MAX→namelonger than 32 characters400 INVALID_DATA_DESCRIPTION_MIN→descriptionshorter than 12 characters400 INVALID_DATA_DESCRIPTION_MAX→descriptionlonger than 256 characters400 INVALID_DATA_IMAGE→imageoutside 12 to 512 characters400 INVALID_DATA_POSITION→positionless than1400 NAME_ALREADY_EXISTS→ category with the same name401 API_KEY_NOT_PROVIDED→Authorizationheader not sent (orTOKEN_NOT_PROVIDEDvia Bearer)401 INVALID_API_KEY→ invalid API Key (orINVALID_TOKEN/TOKEN_EXPIRED/SESSION_NOT_FOUND/SESSION_EXPIRED/UNAUTHENTICATEDvia Bearer)403 USER_DISABLED→ user disabled or deleted403 NO_ACTIVE_SUBSCRIPTION→ inactive or expired plan (orPENDING_2FAvia Bearer)403 STORE_NOT_FOUND→ store not found or no permission404 CATEGORY_NOT_FOUND→ category not found429 RATE_LIMIT_EXCEEDED→ rate limit per minute exceeded500 INTERNAL_SERVER_ERROR→ internal error503 SERVICE_UNAVAILABLE→ service or database unavailable
Path Parameters
Body
application/json
Category fields to update.